Bug 251365 - Update cad/zcad to 0.9.8.5
Summary: Update cad/zcad to 0.9.8.5
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-25 05:01 UTC by Jose Alonso Cardenas Marquez
Modified: 2020-12-15 02:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez freebsd_committer 2020-11-25 05:01:27 UTC
- Update to 0.9.8.5. It works with latest version of lazarus (2.0.10)


Patch file at: https://people.freebsd.org/~acm/ports/zcad.diff
Comment 1 commit-hook freebsd_committer 2020-12-14 20:39:51 UTC
A commit references this bug:

Author: acm
Date: Mon Dec 14 20:39:45 UTC 2020
New revision: 558109
URL: https://svnweb.freebsd.org/changeset/ports/558109

Log:
  - Update to 0.9.8.5

  PR:		251365
  Submitted by:	acm
  Approved by:	danfe (timeout)

Changes:
  head/cad/zcad/Makefile
  head/cad/zcad/distinfo
  head/cad/zcad/files/patch-cad__source_components_zebase_uzbpaths.pas
  head/cad/zcad/files/patch-cad__source_zcad_uzclog.pas
  head/cad/zcad/pkg-plist
Comment 2 Alexey Dokuchaev freebsd_committer 2020-12-15 01:49:55 UTC
Thanks for the patch.  I've tried updating it based on the 0.9.8.5 (f923a30) but it didn't build at that time.  May I ask why you've picked 8b8a693 rather than some later revision as I see some fixes had been checked in after that?
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2020-12-15 02:10:16 UTC
(In reply to Alexey Dokuchaev from comment #2)

It was latest version I found in zcad github in that moment. It included some changes to fix build with lazarus 2.0.10. f923a30 not works with lazarus 2.0.10. Also, I applied some patches to lang/fpc port because release version not support "dot" in file/directory names like other/laz.virtualtreeview_package